Name:             jtidy
Version:          1.0
Release:          %mkrel 0.25.20100930svn1125.5
Group:            Development/Java
Epoch:            2
Summary:          HTML syntax checker and pretty printer
License:          zlib
URL:              http://jtidy.sourceforge.net/
# svn export -r1125 https://jtidy.svn.sourceforge.net/svnroot/jtidy/trunk/jtidy/ jtidy
# tar caf jtidy.tar.xz jtidy
Source0:          %{name}.tar.xz
Source1:          %{name}.jtidy.script

Patch0:           javac-1.8.patch

BuildArch:        noarch

BuildRequires:    javapackages-local
BuildRequires:    ant
BuildRequires:    mvn(xerces:dom3-xml-apis)
# Explicit javapackages-tools requires since jtidy script uses
# /usr/share/java-utils/java-functions
Requires:         javapackages-tools

%description
JTidy is a Java port of HTML Tidy, a HTML syntax checker and pretty
printer.  Like its non-Java cousin, JTidy can be used as a tool for
cleaning up malformed and faulty HTML.  In addition, JTidy provides a
DOM interface to the document that is being processed, which
effectively makes you able to use JTidy as a DOM parser for real-world
HTML.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
ant

%install
%mvn_file : %{name}
%mvn_alias : net.sf.jtidy:%{name}
%mvn_artifact pom.xml target/%{name}-*.jar

%mvn_install -J target/javadoc

# shell script
mkdir -p %{buildroot}%{_bindir}
cp -ap %{SOURCE1} %{buildroot}%{_bindir}/%{name}

# ant.d
mkdir -p %{buildroot}%{_sysconfdir}/ant.d
cat > %{buildroot}%{_sysconfdir}/ant.d/%{name} << EOF
jtidy
EOF


%files -f .mfiles
%license LICENSE.txt
%attr(755, root, root) %{_bindir}/*
%config(noreplace) %{_sysconfdir}/ant.d/%{name}

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2:1.0-0.25.20100930svn1125.5.mga9
+ Revision: 1828813
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 2:1.0-0.25.20100930svn1125.4.mga8
+ Revision: 1624064
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11
- Add requirement on javapackages-tools since jtidy script uses
  java-functions

* Wed Feb 12 2020 umeabot <umeabot> 2:1.0-0.25.20100930svn1125.3.mga8
+ Revision: 1501863
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2:1.0-0.25.20100930svn1125.2.mga7
+ Revision: 1279160
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 2:1.0-0.25.20100930svn1125.1.mga7
+ Revision: 1161767
- Install with XMvn (sync with fc27)
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2:1.0-0.21.20100930svn1126.mga6
+ Revision: 976455
- First rebuild of the java stack
- sync package jtidy with fedora

* Tue Feb 09 2016 umeabot <umeabot> 2:1.0-0.19.20100930svn1125.2.mga6
+ Revision: 952163
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 2:1.0-0.19.20100930svn1125.1.mga5
+ Revision: 811299
- Sync with fc21
- fix release

* Wed Oct 15 2014 umeabot <umeabot> 2:1.0-0.14.20100930svn1129.mga5
+ Revision: 741156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:1.0-0.14.20100930svn1128.mga5
+ Revision: 680889
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 dmorgan <dmorgan> 2:1.0-0.14.20100930svn1127.mga4
+ Revision: 563221
- Use add_maven_depmap instead of add_to_maven_depmap to fix FTBFS
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 dmorgan <dmorgan> 2:1.0-0.13.20100930svn1126.mga4
+ Revision: 453539
- Add missing BR and R: xml-commons-apis

* Sat Jan 12 2013 umeabot <umeabot> 2:1.0-0.12.20100930svn1126.mga3
+ Revision: 355665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 2:1.0-0.12.20100930svn1125.mga3
+ Revision: 324793
- Java Stack Mass Rebuild

* Tue Jan 18 2011 dmorgan <dmorgan> 2:1.0-0.9.20100930svn1125.mga1
+ Revision: 21933
- Fix release
- Sync with fedora

* Mon Jan 17 2011 dmorgan <dmorgan> 2:1.0-0.1.r7dev.1.2.10.mga1
+ Revision: 21206
- imported package jtidy

